using System.IO;
using Interfaces;
using Nancy;

namespace RaceLapTimer
{
    class DocumentPathProvider : IDocumentPathProvider
    {
        private IRootPathProvider _rootPathProvider;

        public DocumentPathProvider(IRootPathProvider rootPathProvider)
        {
            _rootPathProvider = rootPathProvider;
        }
        public string GetPath()
        {
            return Path.Combine(_rootPathProvider.GetRootPath(), "documents");
        }
    }
}